apply plugin: 'com.android.application'

android {
    compileSdkVersion 28

    defaultConfig {
        applicationId "com.ewei.demo"
        minSdkVersion 19
        targetSdkVersion 28
        versionCode 3
        versionName "3.3"

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi', 'armeabi-v7a', 'arm64-v8a'
            // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    lintOptions {
        abortOnError false
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation files("libs/EweiHelpCenterSDK.aar")
    api "com.czt.mp3recorder:library:1.0.4"
    api "androidx.appcompat:appcompat:1.0.2"
    api "androidx.core:core:1.0.1"
    api "androidx.fragment:fragment:1.0.0"
    api "androidx.recyclerview:recyclerview:1.0.0"
    api "com.google.guava:guava:24.0-android"
    api "com.squareup.retrofit2:retrofit:latest.integration"
    api "com.squareup.retrofit2:converter-gson:latest.integration"
    api "com.github.bumptech.glide:glide:4.0.0"

    testImplementation 'junit:junit:4.12'
}

repositories {
    flatDir { dirs 'libs' }
    mavenCentral()
}